Bug 1540995 - python3: test_buffer check fails on ppc64le
Summary: python3: test_buffer check fails on ppc64le
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 28
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker 1544833 1561011 1570256
TreeView+ depends on / blocked
 
Reported: 2018-02-01 13:41 UTC by Tomas Orsava
Modified: 2019-02-18 16:28 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1570256 (view as bug list)
Environment:
Last Closed: 2019-02-18 16:28:20 UTC


Attachments (Terms of Use)
build log (3.41 MB, text/plain)
2018-02-01 13:43 UTC, Tomas Orsava
no flags Details


Links
System ID Priority Status Summary Last Updated
Python 35752 None None None 2019-01-16 17:01:08 UTC
GNU Compiler Collection 88892 None None None 2019-04-11 12:39:52 UTC

Description Tomas Orsava 2018-02-01 13:41:27 UTC
Description of problem:
...
test_ndarray_zero_strides (test.test_buffer.TestBufferProtocol) ... ok
test_py_buffer_to_contiguous (test.test_buffer.TestBufferProtocol) ... test test_buffer failed
ok
======================================================================
FAIL: test_memoryview_struct_module (test.test_buffer.TestBufferProtocol)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_buffer.py", line 2540, in test_memoryview_struct_module
    self.assertEqual(m[1], nd[1])
AssertionError: -21.099998474121094 != -21.100000381469727
----------------------------------------------------------------------
Ran 72 tests in 18.370s
FAILED (failures=1)
1 test failed again:
    test_buffer
Total duration: 20 min 28 sec
Tests result: FAILURE

Version-Release number of selected component (if applicable):
python3-3.6.4-9.fc28


How reproducible:
100%


Steps to Reproduce:
1. Build python3 with test_buffer enabled in rawhide

Additional info:
The test was disabled in 3.6.4-10 so that the F28 mass rebuild can take place, but should be reenabled afterwards.

Comment 1 Tomas Orsava 2018-02-01 13:43:40 UTC
Created attachment 1389498 [details]
build log

Comment 2 Fedora End Of Life 2018-02-20 15:34:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Iryna Shcherbina 2018-02-27 19:22:54 UTC
The culprit might be in the gcc update.

The test works with gcc-7.2.1-2.fc27.ppc64le, but if you update to gcc-8.0.1-0.14.fc28.ppc64le it starts to fail.

Comment 4 Petr Viktorin 2019-01-07 13:37:17 UTC
Setting this to low priority.

It would be great if someone else would get to this earlier than we can. If that's your case, please assign the bug to yourself (and adjust priority accordingly).

Comment 5 Victor Stinner 2019-01-16 17:01:09 UTC
I reported an upstream bug: https://bugs.python.org/issue35752

Comment 6 Victor Stinner 2019-02-15 13:46:54 UTC
The bug has been fixed in master and 8.3 branches of GCC. I requested a backport to GCC 8.2 (in RHEL8): https://bugzilla.redhat.com/show_bug.cgi?id=1677652

Comment 7 Victor Stinner 2019-02-15 13:58:20 UTC
It seems like Fedora Rawhide already got the ppc64le fix, so I wrote a change to reenable test_buffer on ppc64le: https://src.fedoraproject.org/rpms/python3/pull-request/92

Comment 8 Victor Stinner 2019-02-18 16:28:20 UTC
I reeenable test_buffer on ppc64le:
https://src.fedoraproject.org/rpms/python3/c/1e30f555cf0d557d820db94961e0cbe87119ca79?branch=master

Since the change only impacts the build of the package, no new release of the package is needed. I close the issue.


Note You need to log in before you can comment on or make changes to this bug.